[OpenSCAD] Building problems

Marius Kintel marius at kintel.net
Tue Mar 2 04:23:11 CET 2010


On Mar 2, 2010, at 03:54 , Torsten Wagner wrote:

> However, after that I had to upgrade cgal to 3.5 to continue. If  
> that is generally true the README should be changed accordingly  
> (still refers to 3.4 and 3.5).
>
We've been dependant on 3.5 for a while, but the README somehow didn't  
get updated. Fixed now.

> Now I stuck with the following error message.
> src/printutils.cc: In function ‘void PRINT_NOCACHE(const QString&)’:
> src/printutils.cc:46: error: ‘stderr’ was not declared in this scope
> src/printutils.cc:46: error: ‘fprintf’ was not declared in this scope
>
Also fixed in svn. Should work, but not actually built on Linux yet.

> Uff... I hope OpenSCAD is worse all the trouble ;) it is a bit hard  
> to get it working ;)
>
The tagged releases should be a bit easier to build. The trunk is  
under active development and the build easily breaks on some platforms  
as we don't have a buildbot operational to weed out cross-platform  
build issues.
On Mac and Windows, we usually provide snapshot binaries - they're  
just not quite up there on Linux yet.

~/= Marius

--
We are Elektropeople for a better living.






More information about the Openscad mailing list